contract_addresses = {
    "derivadex": {
        "addresses": {
            "ddxAddress": "0x3A880652F47bFaa771908C07Dd8673A787dAEd3A",
            "ddxWalletCloneableAddress": "0xc1e9e37c8bc1ef53dc5843a14407ee8743edfb3a",
            "derivaDEXAddress": "0x6fb8aa6fc6f27e591423009194529ae126660027",
            "diFundTokenFactoryAddress": "0xe49478b6973e7c9e0236081c89c609643f4ff91c",
            "governanceAddress": "0xbfd5a73bafc692190846e04fa7b3f22325b249c2",
            "insuranceFundAddress": "0xccf3d6ed3e7db4c0274db2e1b921b87838ce656e",
            "pauseAddress": "0x0c8813521196614c85c2fb121fb22f52dc94111a",
            "traderAddress": "0xcb71303f4681aec73e137d096e0ef22464fe0d66",
            "usdtAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
            "ausdtAddress": "0x0000000000000000000000000000000000000000",
            "cusdtAddress": "0xf650c3d88d12db855b8bf7d11be6c55a4e07dcc9",
            "usdcAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
            "ausdcAddress": "0x0000000000000000000000000000000000000000",
            "cusdcAddress": "0x39aa39c021dfbae8fac545936693ac917d5e7563",
            "husdAddress": "0xdf574c24545e5ffecb9a659c229253d4111d87e1",
            "gusdAddress": "0x056fd409e1d7a124bd7017459dfea2f387b6d5cd",
            "gnosisSafeAddress": "0x6851d6fdfafd08c0295c392436245e5bc78b0185",
            "gnosisSafeProxyFactoryAddress": "0x76E2cFc1F5Fa8F6a5b3fC4c8F4788F0116861F9B",
            "createCallAddress": "0x8538FcBccba7f5303d2C679Fa5d7A629A8c9bf4A",
            "gnosisSafeProxyAddress": "0xD29FC595d45b9E86684258F7aEf02e27234FD744",
            "operatorAddress": "0x0000000000000000000000000000000000000000",
            "marketSpecsAddress": "0x0000000000000000000000000000000000000000",
            "bannerAddress": "0x0000000000000000000000000000000000000000",
            "fundedInsuranceFundAddress": "0x0000000000000000000000000000000000000000",
            "globalSpecsAddress": "0x0000000000000000000000000000000000000000",
        },
        "chainId": 1,
    },
    "alpha": {
        "addresses": {
            "ddxAddress": "0x830832f1fb3b6127f671f8680813e996a62c2343",
            "ddxWalletCloneableAddress": "0x882a56ad565d448d8eeb43f7dcaab93634a43d63",
            "derivaDEXAddress": "0x373e7d4a9770dca85088a1c4f7a13d56518c34e1",
            "diFundTokenFactoryAddress": "0xf614c9b495b6883ed37cb0e190bcf19e57c5f55c",
            "governanceAddress": "0xbdacb3ea5ca36afd33ca8e1b5cfcce2bef1abca0",
            "insuranceFundAddress": "0x912bf4bedd41abe94a552ee0fa25fe122a06e392",
            "pauseAddress": "0x0301f1df7c717f5acad72de28851a0f426d73efa",
            "traderAddress": "0x899e995711b08385ec0b4858d348ec9d7fc6b695",
            "usdtAddress": "0xad5122241a69f93431f355db917ce4310c3a7073",
            "ausdtAddress": "0xA01bA9fB493b851F4Ac5093A324CB081A909C34B",
            "cusdtAddress": "0x3f0A0EA2f86baE6362CF9799B523BA06647Da018",
            "usdcAddress": "0xb852cdf05cb0558984c7235408345ccbb9c63a71",
            "cusdcAddress": "0x4a92e71227d294f041bd82dd8f78591b75140d63",
            "ausdcAddress": "0x02F626c6ccb6D2ebC071c068DC1f02Bf5693416a",
            "husdAddress": "0x092E012aDd65b2d968962bdfcB092C611032f9CD",
            "gusdAddress": "0x3BB5e799f186032F7c2F6D80055c6cB7d22Bb3Ee",
            "gnosisSafeAddress": "0x34CfAC646f301356fAa8B21e94227e3583Fe3F5F",
            "gnosisSafeProxyFactoryAddress": "0x76E2cFc1F5Fa8F6a5b3fC4c8F4788F0116861F9B",
            "gnosisSafeProxyAddress": "0x96176Fae81C1C5a61b042F367728414506Cc7806",
            "createCallAddress": "0x8538FcBccba7f5303d2C679Fa5d7A629A8c9bf4A",
            "operatorAddress": "0x79ad64b84d3610cbd461d8f7f842e135e795132e",
            "marketSpecsAddress": "0x1ebe68179c43d99dc6e8ef8720bf99c583386295",
            "bannerAddress": "0xcb2a16eaab2c7bc9e2441b3ef81f9cafbcfca7a2",
            "fundedInsuranceFundAddress": "0x25444c3c9498c9101d8528eea642d42e8e8675bc",
            "globalSpecsAddress": "0xc372da43b70d33108eccb7282525eac82e02e3e3",
        },
        "faucet": {
            "address": "0x883D4d1735F49dBB2C06B1165f94791112749610",
            "privateKey": "0xb167f856a8d9f5db9f2834ce22ef4df6436f91af704bd6aa86f2c8095aca41c0",
        },
        "fundedAccounts": [
            "0x3658E568173DFE6400fCaa1D6F085C644E22bE13",
            "0x4DbaEb213F91B022D0f238a2510380BE149b091a",
            "0xE2F3eC385F57e9Fe8fd2e6938D539BE86c2eDf0F",
            "0xb724D8C629A163d0E1809fAB27420fdf7f72a02c",
            "0x8D6F6EA2598e8b1dAC9C434a1FcD579f507Db18F",
            "0x2EadF973FeB265129c04b9fcE6f730e48212F88A",
            "0xE9F6FfDF8e0E649089d90CFDb1E7a312746C0927",
            "0x0067A8a383157b761C004EB7fd15Efd724B0B915",
            "0x43a5b78655584B9e71f4E00f3f638529B96283c0",
            "0xaCcf7803C88B05846c46946D7B46418A9ADAd578",
            "0xE1D50e4df88ABfea75557334D3eb8fCe52Daa58C",
            "0xc1e5f9e5532ed65b27d3f8f0771b066158839c16",
            "0x2F2661614526e03D7a394EB1F825CE94E4E112fb",
            "0x7e8Ea10440a732884D5D15305218801DcF1a63A2",
            "0x571e69a0bc2990a1f0b890afe7a95a81e9d69b12",
            "0x571166AC9b8b90429BD1faA62203004C8Efa1BA1",
            "0xb21b9adB5ec9123dB0F9a0A19CFA1cA2bbFD7938",
        ],
        "chainId": 42,
    },
    "beta": {
        "addresses": {
            "ddxAddress": "0x5b7f46ad3c0063ff2e8c019dd11a76549aa81ef7",
            "ddxWalletCloneableAddress": "0x6a94507becaf956f7687723dda5c6e3868eef784",
            "derivaDEXAddress": "0x5cf8c625dea760541c0b8d2a3fb486c8469dd7f8",
            "diFundTokenFactoryAddress": "0x2996a94f0f6956eec2f5d93a6bbab1e2ade2df5a",
            "governanceAddress": "0x2bad4f55e90552571560f41f35d6cbaacebc26e1",
            "insuranceFundAddress": "0x21f9b80150288a5f1b3fe555e80f78a9a2efe5ae",
            "pauseAddress": "0x8a2c40684564ebffd4b1a1f6781f2da57e5e41ef",
            "traderAddress": "0x37413c5512b8df7b7e3e4f7bc18d23d995dc540a",
            "usdtAddress": "0xd9e4a95bf09bce0d4525bdca6c9c46ce8df885cb",
            "ausdtAddress": "0xA01bA9fB493b851F4Ac5093A324CB081A909C34B",
            "cusdtAddress": "0x3f0A0EA2f86baE6362CF9799B523BA06647Da018",
            "usdcAddress": "0x56aac03c32e59631c98e761bf59eab3dc5162f86",
            "cusdcAddress": "0x4a92e71227d294f041bd82dd8f78591b75140d63",
            "ausdcAddress": "0x02F626c6ccb6D2ebC071c068DC1f02Bf5693416a",
            "husdAddress": "0x092E012aDd65b2d968962bdfcB092C611032f9CD",
            "gusdAddress": "0x3BB5e799f186032F7c2F6D80055c6cB7d22Bb3Ee",
            "gnosisSafeAddress": "0x34CfAC646f301356fAa8B21e94227e3583Fe3F5F",
            "gnosisSafeProxyFactoryAddress": "0x76E2cFc1F5Fa8F6a5b3fC4c8F4788F0116861F9B",
            "gnosisSafeProxyAddress": "0x96176Fae81C1C5a61b042F367728414506Cc7806",
            "createCallAddress": "0x8538FcBccba7f5303d2C679Fa5d7A629A8c9bf4A",
            "operatorAddress": "0x2e75dfaeee505750a4adaac0e6cb2a62b35ec076",
            "marketSpecsAddress": "0x99afecd366463338fc92fe5d8713a52a29af3061",
            "bannerAddress": "0xdc53d087e96908f312a94acde9e1177bf5b558e0",
            "fundedInsuranceFundAddress": "0x5f929aa505c182bde4d4332b407bb16b154bcdcc",
            "globalSpecsAddress": "0xb4b4806e7a4dde5a00a6e6d936b41078fd7ebdae",
        },
        "faucet": {
            "address": "0x883D4d1735F49dBB2C06B1165f94791112749610",
            "privateKey": "0xb167f856a8d9f5db9f2834ce22ef4df6436f91af704bd6aa86f2c8095aca41c0",
        },
        "fundedAccounts": [
            "0x3658E568173DFE6400fCaa1D6F085C644E22bE13",
            "0x4DbaEb213F91B022D0f238a2510380BE149b091a",
            "0xE2F3eC385F57e9Fe8fd2e6938D539BE86c2eDf0F",
            "0xb724D8C629A163d0E1809fAB27420fdf7f72a02c",
            "0x8D6F6EA2598e8b1dAC9C434a1FcD579f507Db18F",
            "0x2EadF973FeB265129c04b9fcE6f730e48212F88A",
            "0xE9F6FfDF8e0E649089d90CFDb1E7a312746C0927",
            "0x0067A8a383157b761C004EB7fd15Efd724B0B915",
            "0x43a5b78655584B9e71f4E00f3f638529B96283c0",
            "0xaCcf7803C88B05846c46946D7B46418A9ADAd578",
            "0xE1D50e4df88ABfea75557334D3eb8fCe52Daa58C",
            "0xc1e5f9e5532ed65b27d3f8f0771b066158839c16",
            "0x2F2661614526e03D7a394EB1F825CE94E4E112fb",
            "0x7e8Ea10440a732884D5D15305218801DcF1a63A2",
            "0x571e69a0bc2990a1f0b890afe7a95a81e9d69b12",
            "0x571166AC9b8b90429BD1faA62203004C8Efa1BA1",
            "0xb21b9adB5ec9123dB0F9a0A19CFA1cA2bbFD7938",
        ],
        "chainId": 42,
    },
    "geth": {
        "addresses": {
            "ddxAddress": "0x1dc4c1cefef38a777b15aa20260a54e584b16c48",
            "ddxWalletCloneableAddress": "0x48bacb9266a570d521063ef5dd96e61686dbe788",
            "derivaDEXAddress": "0x1d7022f5b17d2f8b695918fb48fa1089c9f85401",
            "diFundTokenFactoryAddress": "0x25b8fe1de9daf8ba351890744ff28cf7dfa8f5e3",
            "governanceAddress": "0x871dd7c2b4b25e1aa18728e9d5f2af4c4e431f5c",
            "insuranceFundAddress": "0x0b1ba0af832d7c05fd64161e0db78e85978e8082",
            "pauseAddress": "0x34d402f14d58e001d8efbe6585051bf9706aa064",
            "traderAddress": "0x6dfff22588be9b3ef8cf0ad6dc9b84796f9fb45f",
            "usdtAddress": "0xf22469f31527adc53284441bae1665a7b9214dba",
            "ausdtAddress": "0x0000000000000000000000000000000000000000",
            "cusdtAddress": "0x0000000000000000000000000000000000000000",
            "usdcAddress": "0xcfc18cec799fbd1793b5c43e773c98d4d61cc2db",
            "ausdcAddress": "0x0000000000000000000000000000000000000000",
            "cusdcAddress": "0x0000000000000000000000000000000000000000",
            "husdAddress": "0x0000000000000000000000000000000000000000",
            "gusdAddress": "0x0000000000000000000000000000000000000000",
            "gnosisSafeAddress": "0x0000000000000000000000000000000000000000",
            "gnosisSafeProxyFactoryAddress": "0x0000000000000000000000000000000000000000",
            "createCallAddress": "0x0000000000000000000000000000000000000000",
            "gnosisSafeProxyAddress": "0x0000000000000000000000000000000000000000",
            "operatorAddress": "0x6a4a62e5a7ed13c361b176a5f62c2ee620ac0df8",
            "marketSpecsAddress": "0x07f96aa816c1f244cbc6ef114bb2b023ba54a2eb",
            "bannerAddress": "0x1e2f9e10d02a6b8f8f69fcbf515e75039d2ea30d",
            "fundedInsuranceFundAddress": "0xcdb594a32b1cc3479d8746279712c39d18a07fc0",
            "globalSpecsAddress": "0xbe0037eaf2d64fe5529bca93c18c9702d3930376",
        },
        "faucet": {
            "address": "0xaCcf7803C88B05846c46946D7B46418A9ADAd578",
            "privateKey": "0x84a8bb71450a1b82be2b1cdd25d079cbf23dc8054e94c47ad14510aa967f45de",
        },
        "chainId": 100,
    },
    "snapshot": {
        "addresses": {
            "ddxAddress": "0x1dc4c1cefef38a777b15aa20260a54e584b16c48",
            "ddxWalletCloneableAddress": "0x6000eca38b8b5bba64986182fe2a69c57f6b5414",
            "derivaDEXAddress": "0x1d7022f5b17d2f8b695918fb48fa1089c9f85401",
            "diFundTokenFactoryAddress": "0x7e3f4e1deb8d3a05d9d2da87d9521268d0ec3239",
            "governanceAddress": "0x871dd7c2b4b25e1aa18728e9d5f2af4c4e431f5c",
            "insuranceFundAddress": "0xb7c9b454221e26880eb9c3101b3295ca7d8279ef",
            "pauseAddress": "0x32eecaf51dfea9618e9bc94e9fbfddb1bbdcba15",
            "traderAddress": "0xaa86dda78e9434aca114b6676fc742a18d15a1cc",
            "usdtAddress": "0x0b1ba0af832d7c05fd64161e0db78e85978e8082",
            "ausdtAddress": "0x34d402f14d58e001d8efbe6585051bf9706aa064",
            "cusdtAddress": "0x48bacb9266a570d521063ef5dd96e61686dbe788",
            "usdcAddress": "0xb69e673309512a9d726f87304c6984054f87a93b",
            "ausdcAddress": "0xdc688d29394a3f1e6f1e5100862776691afaf3d2",
            "cusdcAddress": "0xe86bb98fcf9bff3512c74589b78fb168200cc546",
            "husdAddress": "0x0000000000000000000000000000000000000000",
            "gusdAddress": "0x3BB5e799f186032F7c2F6D80055c6cB7d22Bb3Ee",
            "gnosisSafeAddress": "0xaE32496491b53841efb51829d6f886387708F99B",
            "gnosisSafeProxyFactoryAddress": "0x50e55Af101C777bA7A1d560a774A82eF002ced9F",
            "createCallAddress": "0x8538FcBccba7f5303d2C679Fa5d7A629A8c9bf4A",
            "gnosisSafeProxyAddress": "0xBDf662e4A4F4b01Ab0c06A13f2Bb9DEB13bb5cFC",
            "operatorAddress": "0x6346e3a22d2ef8fee3b3c2171367490e52d81c52",
            "marketSpecsAddress": "0x7bf7bb74c43dc141293aff12a2d7de350e9b09e0",
            "bannerAddress": "0x8726c7414ac023d23348326b47af3205185fd035",
            "fundedInsuranceFundAddress": "0x04b5dadd2c0d6a261bfafbc964e0cac48585def3",
            "globalSpecsAddress": "0x4112f5fc3f737e813ca8cc1a48d1da3dc8719435",
        },
        "faucet": {
            "address": "0xaCcf7803C88B05846c46946D7B46418A9ADAd578",
            "privateKey": "0x84a8bb71450a1b82be2b1cdd25d079cbf23dc8054e94c47ad14510aa967f45de",
        },
        "chainId": 1337,
    },
}
